import request from '@/utils/request'

// 查询成品入库检验任务列表
export function listWarehousing(query) {
	return request({
		url: '/quality/qcWarehousing/list',
		method: 'get',
		params: query
	});
}

// 查询成品入库检验任务详细
export function getWarehousing(recordId) {
	return request({
		url: '/quality/qcWarehousing/' + recordId,
		method: 'get'
		});
}

// 新增成品入库检验任务
export function addWarehousing(data) {
	return request({
		url: '/quality/qcWarehousing',
		method: 'post',
		data: data
	});
}

// 修改成品入库检验任务
export function updateWarehousing(data) {
	return request({
		url: '/quality/qcWarehousing',
		method: 'put',
		data: data
	});
}

// 删除成品入库检验任务
export function delWarehousing(recordId) {
	return request({
		url: '/quality/qcWarehousing/' + recordId,
		method: 'delete'
	});
}
